2019-08-24 00:43 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0004797Spring engineGeneralpublic2015-06-13 13:36
ReporterGoogle_Frog 
Assigned Tohokomoko 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version98.0.1+git 
Target VersionFixed in Version 
Summary0004797: 98.0.1-722 Gunship strafe and chase problems
DescriptionGunships strafe and chase unit targets poorly. This is demonstrated in the attached replay.

When strafing they tend to get stuck and jitter in mid air. When chasing they can become stuck just outside their range. Their strafe behaviour works for ground attack targets.

I disabled two gadgets (unit_gunship_strafe_control and unit_control_gunship_stafe_range) and found that they have no effect on behaviour. The gadgets are not disabled in the replay.
Additional InformationZero-K v1.3.5.1
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0014576

hokomoko (developer)

Introduced in https://github.com/spring/spring/commit/47bf190a1801a0490811bfd9c58ba0c4b2ac13b6

~0014577

hokomoko (developer)

Fix 225b030a6789745dadfd8aaf6b927d38997ce8c8 committed to develop branch: Fix 0004797, repo: spring changeset id: 5103
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2015-06-07 12:47 Google_Frog New Issue
2015-06-07 12:47 Google_Frog File Added: 20150607_203805_ScorpioBattleground_98.0.1-722-gd7ebbb0 develop.sdf
2015-06-13 13:10 hokomoko Note Added: 0014576
2015-06-13 13:36 hokomoko Changeset attached => spring develop 225b030a
2015-06-13 13:36 hokomoko Note Added: 0014577
2015-06-13 13:36 hokomoko Assigned To => hokomoko
2015-06-13 13:36 hokomoko Status new => resolved
2015-06-13 13:36 hokomoko Resolution open => fixed
+Issue History